package com.steering.jobface.jhy.CollectionType;

import com.steering.comm.db.DBCommon;

import java.util.List;
import java.util.Map;

/**
 * 物理采集基础类
 * Created by 朱少波 on 2018/3/7.
 */
public abstract class BaseCollection extends DBCommon {

           public abstract String[] GetPhyCodeMin() ;

           public abstract List<Map<String, Object>> GetCollectionData();

           public abstract void RemarkOldData(String CheckNo,String SampleNo);

           public abstract void RemarkFailData(String CheckNo,String SampleNo);

           public abstract void RemarkOkData(String CheckNo,String SampleNo );
}
